Show / Hide Table of Contents

# Struct AtkArrayDataHolder

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkArrayDataHolder

### Fields

| Improve this Doc View Source

#### _ExtendArrays

##### Declaration

    public ExtendArrayData**_ExtendArrays

##### Field Value

Type | Description
--- | ---
ExtendArrayData** |

| Improve this Doc View Source

#### _NumberArrays

##### Declaration

    public NumberArrayData**_NumberArrays

##### Field Value

Type | Description
--- | ---
NumberArrayData** |

| Improve this Doc View Source

#### _StringArrays

##### Declaration

    public StringArrayData**_StringArrays

##### Field Value

Type | Description
--- | ---
StringArrayData** |

| Improve this Doc View Source

#### ExtendArrayCount

##### Declaration

    public short ExtendArrayCount

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ExtendArrayKeys

##### Declaration

    public short *ExtendArrayKeys

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### ExtendArrays

##### Declaration

    public ExtendArrayData**ExtendArrays

##### Field Value

Type | Description
--- | ---
ExtendArrayData** |

| Improve this Doc View Source

#### NumberArrayCount

##### Declaration

    public short NumberArrayCount

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### NumberArrayKeys

##### Declaration

    public short *NumberArrayKeys

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### NumberArrays

##### Declaration

    public NumberArrayData**NumberArrays

##### Field Value

Type | Description
--- | ---
NumberArrayData** |

| Improve this Doc View Source

#### StringArrayCount

##### Declaration

    public short StringArrayCount

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### StringArrayKeys

##### Declaration

    public short *StringArrayKeys

##### Field Value

Type | Description
--- | ---
System.Int16* |

| Improve this Doc View Source

#### StringArrays

##### Declaration

    public StringArrayData**StringArrays

##### Field Value

Type | Description
--- | ---
StringArrayData** |